Package twisted :: Package python :: Module rebuild :: Class Sensitive

[frames | no frames]

## Class Sensitive

A utility mixin that's sensitive to rebuilds.

This is a mixin for classes (usually those which represent collections of callbacks) to make sure that their code is up-to-date before running.

Method Summary
| ``latestVersionOf`(self, anObject)` Get the latest version of an object.
| `needRebuildUpdate(self)`
| `rebuildUpToDate(self)`

Class Variable Summary
`float` | `lastRebuild` = 1084673022.5272441

Method Details

### latestVersionOf(self, anObject)

Get the latest version of an object.

This can handle just about anything callable; instances, functions, methods, and classes.

Class Variable Details

### lastRebuild

  Type:
    `float`
  Value:

        1084673022.5272441

Generated by Epydoc 2.0 on Sat May 15 20:08:06 2004 | http://epydoc.sf.net